Bug 68052 - libuser ldap module requires non-existant schema
libuser ldap module requires non-existant schema
Product: Red Hat Linux
Classification: Retired
Component: libuser (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Depends On:
  Show dependency treegraph
Reported: 2002-07-05 17:30 EDT by sean
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.52.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-27 14:02:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sean 2002-07-05 17:30:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I am trying to use the luseradd program in the libuser package to perform LDAP
user management but with no success.  I have traced the problem into the libuser
source code and see that it requires an "administratorUid" attribute that is
apparently provided by a non-existant "shadowGroup" objectClass.  (see

Neither administratorUid nor shadowGroup ship with the Red Hat 7.3
openldap-servers package and I can't find either of them with a Google search.

However, without this non-existant attribute libuser does not work with the LDAP

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure /etc/libuser.conf to support LDAP
2. Run "lgroupadd" to create a group
3. It always fails during the attempt to update the LDAP database
4. Grep for "SHADOWGROUP" and "administratorUid" in modules/ldap.c from libuser
5. Grep for both in /etc/openldap/schema and find that neither exist.

Actual Results:  [root@server root]# lgroupadd tst1
LDAP Bind Password: 
Group creation failed.

(although the really interesting stuff is elsewhere)

Expected Results:  Presumably "Group creation succeeded" :)

Additional info:

Here is the offending section from modules/ldap.c:
         "administratorUid", SHADOWGROUP, LU_LDAP_GROUP},

The "quick hack" fix would apparently be to rebuild libuser without that line,
but I hesitate to deviate from the standard Red Hat packages if I don't have to.
 Would an official fix or at least a pointer to this mysterious schema be too
much to ask for? :)

Thanks for all your great work!!
Comment 1 Miloslav Trmač 2004-09-27 14:02:14 EDT
The line has been removed in libuser-0.52.1.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.